Skip to main content
GET
/
v1
/
users
/
me
/
promotions
List My Promotions
curl --request GET \
  --url https://api.example.com/v1/users/me/promotions \
  --header 'Authorization: Bearer <token>'
{
  "active": [
    {
      "redemption_id": "<string>",
      "name": "<string>",
      "ops_granted": 123,
      "ops_remaining": 123,
      "redeemed_at": "<string>",
      "expires_at": "<string>"
    }
  ],
  "history": [
    {
      "redemption_id": "<string>",
      "name": "<string>",
      "ops_granted": 123,
      "ops_remaining": 123,
      "redeemed_at": "<string>",
      "expires_at": "<string>",
      "status": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Response

Successful Response

Listing of the authenticated user's promotion grants, split by active vs. history.

active
ActivePromotionOut · object[]
required
history
HistoricalPromotionOut · object[]
required